Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.simtoolsgui
Interface ProbeDisplayManager

All Known Implementing Classes:
  ProbeDisplayManagerImpl

public interface ProbeDisplayManager
extends SwarmObject, SwarmObjectS

The ProbeDisplay manager.. A (singleton) class whose instance is used to manage all the ProbeDisplays created by the user during a GUI run of the simulation.

Method Summary
`java.lang.Object` | `addProbeDisplay(CommonProbeDisplay probeDisplay)` Add a probe display to be managed by the ProbeDisplayManager.
`CompleteProbeDisplay` | `createArchivedCompleteProbeDisplayFor$variableName(java.lang.Object anObject, java.lang.String variableName)`
`ProbeDisplay` | `createArchivedDefaultProbeDisplayFor$variableName(java.lang.Object anObject, java.lang.String variableName)`
`ProbeDisplay` | `createArchivedProbeDisplayFor$variableName(java.lang.Object anObject, java.lang.String variableName)`
`CompleteProbeDisplay` | `createCompleteProbeDisplayFor(java.lang.Object anObject)`
`ProbeDisplay` | `createDefaultProbeDisplayFor(java.lang.Object anObject)`
`ProbeDisplay` | `createProbeDisplayFor(java.lang.Object anObject)`
`java.lang.Object` | `dropProbeDisplaysFor(java.lang.Object anObject)` Remove and drop probe displays associated with a given object.
`boolean` | `getDropImmediatelyFlag()`
`java.lang.Object` | `removeProbeDisplay(CommonProbeDisplay probeDisplay)` Remove a probe display from management by the ProbeDisplayManager.
`java.lang.Object` | `setDropImmediatelyFlag(boolean dropImmediateFlag)`
`void` | `update()` This method will recursively send an update message to all the Probe Displays managed by the ProbeDisplayManager.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getDropImmediatelyFlag

    public boolean getDropImmediatelyFlag()

### createProbeDisplayFor

    public ProbeDisplay createProbeDisplayFor(java.lang.Object anObject)

### createArchivedProbeDisplayFor$variableName

    public ProbeDisplay createArchivedProbeDisplayFor$variableName(java.lang.Object anObject,
                                                                   java.lang.String variableName)

### createDefaultProbeDisplayFor

    public ProbeDisplay createDefaultProbeDisplayFor(java.lang.Object anObject)

### createArchivedDefaultProbeDisplayFor$variableName

    public ProbeDisplay createArchivedDefaultProbeDisplayFor$variableName(java.lang.Object anObject,
                                                                          java.lang.String variableName)

### createCompleteProbeDisplayFor

    public CompleteProbeDisplay createCompleteProbeDisplayFor(java.lang.Object anObject)

### createArchivedCompleteProbeDisplayFor$variableName

    public CompleteProbeDisplay createArchivedCompleteProbeDisplayFor$variableName(java.lang.Object anObject,
                                                                                   java.lang.String variableName)

### addProbeDisplay

    public java.lang.Object addProbeDisplay(CommonProbeDisplay probeDisplay)

  Add a probe display to be managed by the ProbeDisplayManager.

### removeProbeDisplay

    public java.lang.Object removeProbeDisplay(CommonProbeDisplay probeDisplay)

  Remove a probe display from management by the ProbeDisplayManager.

### dropProbeDisplaysFor

    public java.lang.Object dropProbeDisplaysFor(java.lang.Object anObject)

  Remove and drop probe displays associated with a given object.

### update

    public void update()

  This method will recursively send an update message to all the Probe Displays managed by the ProbeDisplayManager.

### setDropImmediatelyFlag

    public java.lang.Object setDropImmediatelyFlag(boolean dropImmediateFlag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD